package main

import (
	lxmlt "github.com/lestrrat-go/libxml2/types"
	"github.com/lestrrat-go/libxml2/xsd"
)

// NsXml is a namespaced XML document.
type NsXml struct {
	// Raw is the raw bytes of the document.
	Raw *[]byte
	// XML is the libxml2-parsed document.
	XML lxmlt.Document
	// Root is LXML's root element.
	Root lxmlt.Element
	// XSD is LXML's schema (NsXsd).
	XSD *NsXsd
}

// NsXsd is a namespaced XSD (XML Schema Definition).
type NsXsd struct {
	// Raw is the raw bytes of the document.
	Raw *[]byte
	// XSD is the libxml2-parsed schema.
	XSD xsd.Schema
	// XSDPath is the path of the XSD in a fetchable form (the URI of the document, essentially).
	XSDPath string
}
